<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class KeyExpiration extends \Google\Protobuf\Internal\Message
{
    


    protected $expiredKeyEpoch = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getExpiredKeyEpoch()
    {
        return isset($this->expiredKeyEpoch) ? $this->expiredKeyEpoch : 0;
    }

    public function hasExpiredKeyEpoch()
    {
        return isset($this->expiredKeyEpoch);
    }

    public function clearExpiredKeyEpoch()
    {
        unset($this->expiredKeyEpoch);
    }

    




    public function setExpiredKeyEpoch($var)
    {
        GPBUtil::checkInt32($var);
        $this->expiredKeyEpoch = $var;

        return $this;
    }

}

